Redmine - Defect #14518

Plugin Anonymous watcher can not send email when update Redmine 2.3.1
2013-07-23 09:50 - Long Nguyen Hai

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Invalid Affected version: 2.3.1

Description
Hi all!

When | update redmine from 2.1.2 to 2.3.1, the Plugin Anonymous Watcher can not send email to anonymous.
Something wrong here but i don't detect it. Please help me!

Info:

e Redmine 2.3.1
¢ Ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]
e Gem 1.8.24

History

#1 - 2013-07-23 15:09 - Jan Niggemann (redmine.org team member)
- Status changed from New to Closed

- Resolution set to Invalid

The plugin page doesn't state compatibility with 2.3.x...
Please contact the author, should this prove to be a redmine issue, please reopen.

#2 - 2013-10-16 12:17 - Peter Beck

I've sent a mail to Anton in September, but so far no reply if there is an update for 2.3.x in progress...

#3 - 2014-02-14 23:47 - Phil Franks

Anonymous Watchers is a useful plugin so in case anyone comes across this issue...

It's the changes made in Redmine 2.2 for the Private Notes feature (#1554) that break compatibility with this plugin.

I'm working on a fork of the plugin to restore compatibility with Redmine 2.3.x (and eventually 2.4.x). Seems to be working well so far, but I'm still
testing :)

Code is available here: https://github.com/pheelay/redmine_anonymous_watchers

#4 - 2017-09-25 21:58 - Ken K

+1 for anon watcher support.

found this...
https://github.com/zy4/anonymous_watchers
